<!-- eslint-disable @angular-eslint/template/eqeqeq -->
<div class="row justify-content-between">
    <div class="col-9">
    <div class="title border-bottom mb-3">
        <a class="nav-link d-inline-block p-2" routerLink="/customer/my-applications"><i class="bi bi-arrow-bar-left fs-5"></i></a>
        <span class="fs-5 fw-semibold">{{'client.application' | translate}} №{{userInfo?.number}}</span>
    </div>
    <div class="body">
        <div class="header mb-2">
            <span class="fs-5 fw-semibold">{{userInfo?.organizationName}}</span>
            <span class="d-block text-muted small">{{userInfo?.activityType}}</span>
        </div>

        <div class="mb-2">
            <span class="fs-5 fw-semibold">{{'client.status' | translate}}</span>
            <span class="d-block text-muted">{{userInfo?.currentStatus?.name}}</span>
        </div>

        <div class="mb-2">
            <span class="fs-5 fw-semibold">{{'client.attachments' | translate}}</span>
            <ul class="ps-0">
                <!-- <li *ngFor="let docs of userInfo?.documents">
                    <div class="d-flex justify-content-between w-50">
                    <span>{{docs?.title}}</span>
                    <span class="text-decoration-underline"><a (click)="onSaveDocument(docs, docs?.fileName)">{{docs.fileName}}</a></span>
                </div>
                </li> -->
                <li class="border-bottom"
                *ngFor="let blob of userInfo?.documents; let i = index">
                <div class="d-flex py-2">
                    <div class="text-muted flex-wrap w-75 me-auto">{{blob?.title}}</div>
                    <div class=" d-flex flex-wrap justify-content-end">
                        <div class="text-nowrap">
                            <span><a class="link-dark mx-3 text-nowrap"
                            (click)="onSaveDocument(blob, blob.fileName)"><i class="bi bi-file-earmark-arrow-down"></i> {{blob?.fileName}}</a></span>
                            <a (click)="history(blob?.id)"><i class="bi bi-clock-history"></i></a> 
                        </div>
                    </div>
                    </div>
                    <div class="d-flex justify-content-between mb-2" *ngIf="blob?.needsRevision">
                        <div class="my-auto">
                            <span class="text-muted small" *ngIf="!!blob?.revisionComment">{{'employee.request' | translate}}</span>
                            <div *ngIf="blob?.needsRevision && authService.id == blob?.owner?.id">
                            <button class="btn btn-outline-dark w-100 btn-sm" (click)="docRevisionFix(blob?.id)">{{'employee.revision' | translate}}</button>  
                            </div>
                            <span class="small text-muted"> {{blob?.revisionComment}} </span>
                            <span class="small"> {{blob?.revisionRequestDate | date: "dd MMMM yyyy, HH:mm"}}</span>
                        </div>
                        
                    </div>
            </li>
            </ul>
        </div>
    </div>
    </div>
    <div class="col-3 row border-start mt-5">
        <div class="d-flex flex-column">
            <div>
                <div class="d-flex lh-lg" *ngFor="let step of progress; let last = last">
                    <span class="fs-5 d-block progressbar"><i [class.text-primary]="last" class="bi bi-stop-circle-fill me-2 d-block icon"></i><span class="indicator" [class.d-none]="last"></span></span>
                    <span class="align-text-top pb-1 small">{{step?.name}}</span>
                    
                </div>
                
            </div>
        </div>
        <!-- <div class="align-self-end text-center" *ngIf="permission?.CreateConclusion">
            <a class="nav-link" (click)="addConclusion()"><i class="bi bi-plus-circle fs-1"></i></a>
        </div> -->
    </div>
</div>